package shop.alien.lawyer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.result.R;
import shop.alien.entity.store.LawyerUser;
import shop.alien.entity.store.dto.LawyerUserDto;
import shop.alien.entity.store.vo.LawyerUserVo;

/**
 * 二期-门店用户 服务类
 *
 * @author ssk
 * @since 2024-12-11
 */
public interface LawyerUserLogInService extends IService<LawyerUser> {

    /**
     * 创建token
     * @return
     */
    R<LawyerUserVo> createToKen(LawyerUser lawyerUser);
    R<LawyerUserVo> register(LawyerUserDto lawyerUserDto);

    R<LawyerUserVo> completeProfile(LawyerUserDto lawyerUserDto);

    R checkMsgCode(LawyerUserDto lawyerUserDto);

    R<LawyerUserVo> login(LawyerUserDto lawyerUserDto);

    R logout(LawyerUserDto lawyerUserDto);
    R updatePassWord(LawyerUserDto lawyerUserDto);

    Boolean checkRegister(LawyerUserDto lawyerUserDto);
}
